Bug 1768926 - openshift sdn treats unsupported network policy to deny-all
Summary: openshift sdn treats unsupported network policy to deny-all
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Networking
Version: 4.2.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 4.3.0
Assignee: Dan Winship
QA Contact: huirwang
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-11-05 15:05 UTC by hchen
Modified: 2020-01-23 11:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-01-23 11:10:52 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift sdn pull 69 'None' 'closed' 'Bug 1768926: Ignore unsupported NetworkPolicy rules, rather than treating them as errors' 2019-11-20 14:02:09 UTC
Red Hat Product Errata RHBA-2020:0062 None None None 2020-01-23 11:11:05 UTC

Comment 1 Dan Winship 2019-11-08 11:35:21 UTC
I had already written the PR for this before it got moved to 4.4...

Comment 4 Dan Winship 2019-11-11 13:44:29 UTC
> I1111 03:50:23.848871    2852 networkpolicy.go:571] Unsupported NetworkPolicy h1/allow-tcp (named port values ("http") are not implemented); treating as deny-all

That error message no longer exists in the latest version of the code...

Oh, the CI sdn builds are currently broken so you're still getting the build from a few days ago... please stand by

Comment 5 Dan Winship 2019-11-12 13:30:49 UTC
ok, should be updated now

Comment 8 errata-xmlrpc 2020-01-23 11:10:52 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:0062


Note You need to log in before you can comment on or make changes to this bug.